summaryrefslogtreecommitdiffstats
path: root/get_libtorrent.sh
diff options
context:
space:
mode:
authorashirley <ashirley>2011-11-20 14:56:28 +0000
committerCalum Lind <calumlind+deluge@gmail.com>2011-11-29 18:47:05 +0000
commit3dcfa5cfd8a52f1dfaae62a78e0c41cbee6558db (patch)
tree03ef79304b49bd1baeddbed0e3e222cb0731b4a6 /get_libtorrent.sh
parent307ffe734ae3d5f16ed19cba44243e98ef4e7e84 (diff)
downloaddeluge-3dcfa5cfd8a52f1dfaae62a78e0c41cbee6558db.tar.gz
deluge-3dcfa5cfd8a52f1dfaae62a78e0c41cbee6558db.tar.bz2
deluge-3dcfa5cfd8a52f1dfaae62a78e0c41cbee6558db.zip
Fix #1912 : Exit nicely from get_libtorrent.sh if svn not installed
Diffstat (limited to 'get_libtorrent.sh')
-rwxr-xr-xget_libtorrent.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/get_libtorrent.sh b/get_libtorrent.sh
index 84f44b486..a736589e5 100755
--- a/get_libtorrent.sh
+++ b/get_libtorrent.sh
@@ -9,6 +9,11 @@ VERSION=15
[ "$1" != "" ] && VERSION=$1
BRANCH=branches/RC_0_$VERSION
+if [ -z $SVN ]; then
+ echo "Please install an 'svn' client"
+ exit 1
+fi
+
if [ -d libtorrent ]; then
$SVN up libtorrent
else